package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校保研记录对象 mall_school_master_record
 * 
 * @author ruoyi
 * @date 2023-10-26
 */
public class MallSchoolMasterRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 保研记录表id */
    @Excel(name = "保研记录表id")
    private Long masterRecordId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 年份 */
    @Excel(name = "年份")
    private String recordYear;

    /** 保研率 */
    @Excel(name = "保研率")
    private BigDecimal recordValue;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private String delFlag;

    public void setMasterRecordId(Long masterRecordId) 
    {
        this.masterRecordId = masterRecordId;
    }

    public Long getMasterRecordId() 
    {
        return masterRecordId;
    }
    public void setSchoolId(Long schoolId) 
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId() 
    {
        return schoolId;
    }
    public void setRecordYear(String recordYear) 
    {
        this.recordYear = recordYear;
    }

    public String getRecordYear() 
    {
        return recordYear;
    }
    public void setRecordValue(BigDecimal recordValue) 
    {
        this.recordValue = recordValue;
    }

    public BigDecimal getRecordValue() 
    {
        return recordValue;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt) 
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt() 
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("masterRecordId", getMasterRecordId())
            .append("schoolId", getSchoolId())
            .append("recordYear", getRecordYear())
            .append("recordValue", getRecordValue())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
